libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
SmlTransport Struct Reference
Collaboration diagram for SmlTransport:

## Data Fields

GMainContext * | context
SmlThread * | thread
SmlTransportState | state
SmlTransportType | type
SmlTransportFunctions | functions
void * | transport_data
SmlQueue * | command_queue
SmlTransportEventCb | event_callback
void * | event_callback_userdata
gint | event_callback_ref_count
SmlError * | cached_error
SmlBool | connected
GHashTable * | links
GMutex * | links_mutex
unsigned int | connections
GMutex * | connections_mutex

## Detailed Description

Definition at line 69 of file sml_transport_internals.h.

The documentation for this struct was generated from the following file:

- /build/buildd/libsyncml-0.5.4/libsyncml/sml_transport_internals.h